package com.fjhx.email.service;

import com.fjhx.email.entity.dto.GetMessagePageDto;
import com.fjhx.email.entity.dto.MailboxInfo;
import com.fjhx.email.entity.vo.MessageDetailVo;
import com.fjhx.email.entity.vo.MessageVo;
import com.fjhx.email.utils.PageWrapper;

import java.util.List;

public interface IMailService {

    /**
     * 获取邮箱信息
     */
    List<MailboxInfo> getMailboxInfoListByUserId(List<Long> userIdList);

    /**
     * 获取用户邮箱列表
     */
    PageWrapper<MessageVo> getMessagePage(GetMessagePageDto dto);

    /**
     * 获取邮件详情
     */
    MessageDetailVo getMessageDetail(GetMessagePageDto dto);

}
