package com.fjhx.email.entity.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class MailboxInfo {

    /**
     * 类型
     * 1、个人邮箱
     * 2、企业邮箱
     */
    private Integer type;

    /**
     * 是否跳过
     */
    private Boolean skip;

    /**
     * id
     */
    private Long id;

    /**
     * mail账号
     */
    private String mailUser;

    /**
     * mail授权码
     */
    private String mailPassword;

    /**
     * 收件host
     */
    private String receiveHost;

    /**
     * 收件端口
     */
    private Integer receivePort;

    /**
     * 收件协议
     */
    private String receiveProtocol;

    /**
     * 文件夹
     */
    private List<MailFolderInfo> mailFolderInfoList;

}
